default:
  description: 'Default (production) build'
  tasks:
    - 'prod'
dev:
  description: 'Development build'
  tasks:
    - 'concurrent:devFirst'
    - 'concurrent:devSecond'
    - 'concurrent:devThird'
prod:
  description: 'Production build'
  tasks:
    - 'concurrent:prodFirst'
    - 'concurrent:prodSecond'
    - 'concurrent:prodThird'
prepare-icons:
  description: 'Move and rename svg from material-design-icons repository to src folder'
  tasks:
    - 'copy:action'
    - 'copy:alert'
    - 'copy:av'
    - 'copy:communication'
    - 'copy:content'
    - 'copy:device'
    - 'copy:editor'
    - 'copy:file'
    - 'copy:hardware'
    - 'copy:image'
    - 'copy:maps'
    - 'copy:navigation'
    - 'copy:notification'
    - 'copy:social'
    - 'copy:toggle'
font-dev:
  description: 'Build iconic font and example page from Google icons only'
  tasks:
    - 'webfont:dev'
    - 'replace'
    - 'clean:less-temp'
    - 'dev'
font-prod:
  description: 'Build iconic font and example page from prepared icons'
  tasks:
    - 'webfont:prod'
    - 'replace'
    - 'clean:less-temp'
    - 'prod'
less-sass:
  description: 'Convert LESS files into SASS'
  tasks:
    - 'lessToSass'
    - 'copy:less'
    - 'clean:sass-temp'